header {
  height: 50px;
  background: $white;
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.1);
  position: relative;
  z-index: 999999 !important;

  @include respond-to(mobile) {
    min-height: 50px;
    height: auto;
  }

  .container {
    display: flex;
    align-items: center;
    position: relative;

    @include respond-to(mobile) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;
    }

    a {
      text-decoration: none;

      &.logo {
        width: 37px;
        height: 50px;
        color: $blue;
        display: flex;
        align-items: center;
        flex: 1 1 auto;
        background: $tr;

        &:before {
          content: $icon-logo;
          font: 36px/0 $icon;
        }

        @include respond-to(mac) {
          &:hover {
            color: $aqua;
          }
        }
      }

      &.burger {
        width: 25px;
        height: 10px;
        display: block;
        position: absolute;
        top: 20px; right: 0;

        &:before {
          content: '';
          width: 100%;
          height: 2px;
          display: block;
          position: absolute;
          top: 0; left: 0;
          background: $blue;
          @include transform(rotate(0));
          @include transition;
        }

        &:after {
          content: '';
          width: 100%;
          height: 2px;
          display: block;
          position: absolute;
          bottom: 0; left: 0;
          background: $blue;
          @include transform(rotate(0));
          @include transition;
        }

        &.active {

          &:before {
            top: 4px;
            @include transform(rotate(45deg));
          }

          &:after {
            bottom: 4px;
            @include transform(rotate(-45deg));
          }
        }

        @include respond-to(mac) {
          display: none;
        }
      }
    }

    .lang {
      font-family: $lato-sb;
      text-transform: uppercase;
      display: flex;
      justify-content: center;
      align-items: center;

      @include respond-to(mobile) {
        display: none;
        padding-bottom: 20px;
      }

      @include respond-to(laptop) {
        font-size: 14px;
        margin-left: 15px;
      }

      @include respond-to(desktop) {
        font-size: 16px;
        margin-left: 30px;
      }

      li {

        &.current-lang {

          a {
            color: $blue !important;
            cursor: default;
          }
        }

        &:first-child {
          
          &:after {
            content: '//';
            color: $gray;
            padding: 0 5px;
          }
        }
      }

      a {
        color: $gray-dark;

        @include respond-to(mac) {

          &:hover {
            color: #333;
          }
        }
      }

      &.active {
        display: flex;
      }
    }

    .menu-header-rus-container, .menu-header-eng-container {

      @include respond-to(mobile) {
        width: 100%;
        border-top: 1px solid #eee;
        border-bottom: 1px solid #eee;
        padding: 10px 0;
        margin-bottom: 20px;
        display: none;
        position: relative;

        &:before {
          content: '';
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 0 6px 6px 6px;
          border-color: transparent transparent #ccc transparent;
          position: absolute;
          top: -6px; right: 6px;
        }

        &:after {
          content: '';
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 0 6px 6px 6px;
          border-color: transparent transparent #fff transparent;
          position: absolute;
          top: -5px; right: 6px;
        }
      }

      ul {
        display: flex;

        @include respond-to(mobile) {
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;
        }

        li {
          position: relative;

          @include respond-to(mobile) {
            padding: 5px 0;
            width: 100%;
          }

          @include respond-to(laptop) {
            margin: 0 15px;
          }

          @include respond-to(desktop) {
            margin: 0 30px;
          }

          a, span {
            height: 50px;
            color: $black;
            font-family: $lato-sb;
            position: relative;
            display: flex;
            align-items: center;
            cursor: pointer;
            text-transform: uppercase;

            &:after {
              display: none;
            }

            @include respond-to(laptop) {
              font-size: 14px;
            }

            @include respond-to(desktop) {
              font-size: 16px;
            }

            @include respond-to(mac) {
              &:after {
                content: '';
                width: 100%;
                height: 50px;
                display: block;
                background: $tr;
                position: absolute;
                z-index: 3;
              }

              &:hover {
                color: $blue;

                & + ul {
                  display: flex;
                }
              }
            }
          }

          ul {
            display: none;

            @include respond-to(mobile) {
              background: $gray-light;
              position: relative;
              width: 100%;
              padding-bottom: 10px;

              li {
                position: relative;
                padding: 0 20px !important;

                &:first-child {

                  &:before {
                    content: '';
                    width: 0;
                    height: 0;
                    border-style: solid;
                    border-width: 0 5px 6px 5px;
                    border-color: transparent transparent $gray-light transparent;
                    position: absolute;
                    top: -5px; left: 21px;
                  }
                }
              }

              &:before {
                content: '';
                width: 8%;
                height: 100%;
                display: block;
                position: absolute;
                top: 0; left: -8%;
                background: $gray-light;
              }

              &:after {
                content: '';
                width: 8%;
                height: 100%;
                display: block;
                position: absolute;
                top: 0; right: -8%;
                background: $gray-light;
              }

              &.active {
                display: block;
              }
            }

            @include respond-to(mac) {
              position: absolute;
              top: 50px;
              display: none;
              flex-direction: column;
              justify-content: flex-end;
              background: $white;
              border-top: 1px solid #ccc;
              box-shadow: 0 1px 3px 0 rgba(0,0,0,.05);
              z-index: 5;

              li {
                margin: 0;
                border-bottom: 1px solid #eee;

                a {
                  color: $black !important;
                  height: auto;
                  display: block;
                  padding: 15px 45px 15px 15px;

                  &:after {
                    display: none;
                  }

                  &:hover {
                    color: $blue !important;
                  }
                }

                &.active {

                  a {
                    color: $blue !important;
                  }
                }

                &:last-child {
                  border-bottom: 0 solid $white;
                }
              }

              &:before {
                content: '';
                width: 0;
                height: 0;
                border-style: solid;
                border-width: 0 5px 6px 5px;
                border-color: transparent transparent #fff transparent;
                position: absolute;
                top: -5px; left: 15px;
                z-index: 2;
              }

              &:after {
                content: '';
                width: 0;
                height: 0;
                border-style: solid;
                border-width: 0 5px 6px 5px;
                border-color: transparent transparent #ccc transparent;
                position: absolute;
                top: -6px; left: 15px;
                z-index: 1;
              }

              &:hover {
                display: flex;
              }
            }

            &.active {
              display: flex;
            }
          }

          &.color {
            height: 50px;
            color: $white;
            font-family: $lato-sb;
            text-transform: uppercase;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            padding: 0 40px;
            margin: 0;
            background: $blue;
            @include transition;
            @include transform(skewX(-10deg));

            @include respond-to(mobile) {
              display: none;
            }
    
            a {
              color: #fff !important;
              display: flex;
              justify-content: center;
              align-items: center;
              padding: 0;
              @include transform(skewX(10deg));

              &:after {
                display: none;
              }
    
              &.icon {
                color: $white;
                display: none;
    
                &:before {
                  content: $icon-color;
                  font: 36px $icon;
                }
              }
    
              &.text {
                @include respond-to(laptop) {
                  font-size: 14px;
                }
    
                @include respond-to(desktop) {
                  font-size: 16px;
                }
              }
            }
    
            @include respond-to(mac) {
              &:hover {
                background: $aqua;
              }
            }
          }

          &.active, &.page_item, &.current_page_parent {

            a, span {
              color: $blue;
            }
          }

          &:last-child {
            margin-right: 0;
          }
        }
      }

      &.active {
        display: block;

        & + .lang {
          display: flex !important;
        }
      }
    }

    .palitra {
      height: 50px;
      color: $white;
      font-family: $lato-sb;
      text-transform: uppercase;
      display: none;
      justify-content: center;
      align-items: center;
      position: relative;
      padding: 0 40px;
      background: $blue;
      @include transform(skewX(-10deg));

      @include respond-to(mobile) {
        display: flex;
      }

      span {
        display: block;
        @include transform(skewX(10deg));

        &.icon {
          color: $white;
          display: none;

          &:before {
            content: $icon-color;
            font: 36px $icon;
          }
        }
      }

      @include respond-to(mobile) {
        top: 0; left: 50%;
        margin-left: -24px;
        padding: 0 20px;
        position: absolute;
        background: $blue;

        span {

          &.icon {
            color: #fff;
            display: block;
          }
        }
      }
    }
  }

  &.scroll-to-fixed-fixed {
    z-index: 100000 !important;
  }
}
